#ubuntu
http://archive.ubuntu.com/ubuntu/
http://security.ubuntu.com/ubuntu/
ftp://archive.ubuntu.com/ubuntu/
ftp://security.ubuntu.com/ubuntu/
mirror://launchpad.net/ubuntu/+countrymirrors-archive
mirror://mirrors.ubuntu.com/mirrors.txt
http://ports.ubuntu.com/
ftp://ports.ubuntu.com/
http://ports.ubuntu.com/ubuntu-ports/
ftp://ports.ubuntu.com/ubuntu-ports/
http://old-releases.ubuntu.com/
ftp://old-releases.ubuntu.com/
http://ddebs.ubuntu.com/
ftp://ddebs.ubuntu.com/

#commercial (both urls are valid)
http://archive.canonical.com
http://archive.canonical.com/ubuntu/

http://ppa.launchpad.net/ua-client/stable/ubuntu
https://esm.ubuntu.com/ubuntu/
https://esm.ubuntu.com/apps/ubuntu/
https://esm.ubuntu.com/cc/ubuntu/
https://esm.ubuntu.com/infra/ubuntu/
https://esm.ubuntu.com/fips/ubuntu/
https://esm.ubuntu.com/fips-updates/ubuntu/

#commercial-ppas
https://private-ppa.launchpad.net/commercial-ppa-uploaders

##===Australia===
##===Austria===
#===Belgium===
#===Brazil===
#===Canada===
#===China===
#===CostaRica===
#===CzechRepublic===
#===Denmark===
#===Estonia===
#===Finland===
#===France===
#===Germany===
#===Greece===
#===Hungary===
#===Indonesia===
#===Iceland===
#===Ireland===
#===Italy===
#===Japan===
#===Korea===
#===Latvia===
#===Lithuania===
#===Namibia===
#===Netherlands===
#===NewZealand===
#===Nicaragua===
#===Norway===
#===Poland===
#===Portugal===
#===Romania===
#===Russia===
#===SouthAfrica===
#===Spain===
#===Sweden===
#===Switzerland===
#===Taiwan===
#===Turkey===
#===UnitedKingdom===
#===UnitedStates===
http://ftp.jaist.ac.jp/pub/Linux/ubuntu/
http://mirror.wtnet.de/ubuntu/
https://mirrors.jxust.edu.cn/ubuntu/
https://mirrors.opensource.is/ubuntu/
http://ubuntu-archive.locaweb.com.br/ubuntu/
http://osmirror.rug.nl/ubuntu/
https://ftp.uni-stuttgart.de/ubuntu/
https://mirror.kku.ac.th/ubuntu/
https://mirror.de.leaseweb.net/ubuntu/
https://mirrors.bfsu.edu.cn/ubuntu/
https://mirrors.isu.net.sa/apt-mirror/
http://free.nchc.org.tw/ubuntu/
https://mirror.fsmg.org.nz/ubuntu/
https://mirror.hoobly.com/ubuntu/
http://mirror.renu.ac.ug/ubuntu/
http://mirrors.lug.mtu.edu/ubuntu/
https://mirror.enzu.com/ubuntu/
https://mirror.neftm.ru/ubuntu/
https://mirror.internet.asn.au/pub/ubuntu/archive/
https://mirror.bjtu.edu.cn/ubuntu/
https://mirrors.xjtu.edu.cn/ubuntu/
http://ucho.ignum.cz/ubuntu/
https://ftp.sakura.ad.jp/ubuntu/
https://mirror.23m.com/ubuntu/
https://gpl.savoirfairelinux.net/pub/mirrors/ubuntu/
http://mirror.cepatcloud.id/ubuntu/
https://mirrors.sarak.as/ubuntu/
http://mirror.cedia.org.ec/ubuntu/
https://dal.mirrors.clouvider.net/ubuntu/
https://mirror.pilotfiber.com/ubuntu/
https://mirrors.storpool.com/ubuntu/archive/
https://mirror.twds.com.tw/ubuntu/
https://ubuntu.repo.cure.edu.uy/ubuntu/
https://mirror.siwoo.org/ubuntu/
http://mirrors.maine.edu/ubuntu/
http://mirror.kamp.de/ubuntu/
https://tw1.mirror.blendbyte.net/ubuntu/
http://mirror.us-midwest-1.nexcess.net/ubuntu/
http://mirror.uoregon.edu/ubuntu/
https://linux.yz.yamagata-u.ac.jp/ubuntu/
http://mirror.pit.teraswitch.com/ubuntu/
http://mirrors.nic.funet.fi/ubuntu/
https://jp.mirror.coganng.com/ubuntu/
http://ubuntu.lagoon.nc/ubuntu/
http://mirror.yandex.ru/ubuntu/
https://mirror.nl.as215296.net/ubuntu/
https://mirror.webworld.ie/ubuntu/
http://artfiles.org/ubuntu.com/
https://repo.ialab.dsu.edu/ubuntu/
http://archive.ubuntu.mirror.rafal.ca/ubuntu/
http://ftp.snt.utwente.nl/pub/os/linux/ubuntu/
http://mirror.one.com/ubuntu/
https://mirror.yuki.net.uk/ubuntu-ports/
http://ubuntu.ucr.ac.cr/ubuntu/
http://mirror.freethought-internet.co.uk/ubuntu/
https://de.mirrors.clouvider.net/ubuntu/
http://ubuntu.uib.no/archive/
https://ubuntu.ccns.ncku.edu.tw/ubuntu/
https://archive.ubuntu.mirrors.zagrio.net/
http://mirror.il-ta.kamatera.com/ubuntu/
http://mirrors.yun-idc.com/ubuntu/
http://mirrors.dotsrc.org/ubuntu/
http://ftp.nluug.nl/os/Linux/distr/ubuntu/
https://mirror.nevacloud.com/ubuntu/ubuntu-archive/
http://mirror.greennet.gl/ubuntu/
https://mirror.flokinet.net/ubuntu/
http://mirror.espol.edu.ec/ubuntu/
http://kartolo.sby.datautama.net.id/ubuntu/
http://mirror.overthewire.com.au/ubuntu/
https://ftp.u-picardie.fr/mirror/ubuntu/ubuntu/
http://ubuntu.ipacct.com/ubuntu/
https://mirror.nl.altushost.com/ubuntu/
https://mirror.umd.edu/ubuntu/
https://mirror.rabisu.com/ubuntu/ubuntu-archive/
http://mirrors.huaweicloud.com/repository/ubuntu/
http://nl.archive.ubuntu.com/ubuntu/
https://mirror.group.one/ubuntu/
https://distrohub.kyiv.ua/ubuntu/
https://mirror.fi.ossplanet.net/ubuntu/
https://mirror-gw.elastis.id/ubuntu/
http://ftp.tw.debian.org/ubuntu/
https://ubuntu.uvigo.es/
https://mirrors.tuna.tsinghua.edu.cn/ubuntu-ports/
https://mirrors.nxthost.com/ubuntu/
http://mirror.neolabs.kz/ubuntu/
https://debian.charite.de/ubuntu/
https://mirror.5i.fi/ubuntu/
http://mirrors.aliyun.com/ubuntu/
http://mirror.its.dal.ca/ubuntu/
https://mirror.ufro.cl/ubuntu/
http://ubuntu.univ-reims.fr/ubuntu/
https://mirror.johnnybegood.fr/ubuntu/
http://mirror.steadfastnet.com/ubuntu/
https://mirror.linux.ncsu.edu/ubuntu/
https://repo.huaweicloud.com/ubuntu/
http://mirror.infomaniak.ch/ubuntu/
http://archive.ubuntumirror.dei.uc.pt/ubuntu/
https://archive.ubuntu.petiak.ir/ubuntu/
http://mirror.il-jr.kamatera.com/ubuntu/
https://mirror.xtom.com.hk/ubuntu/
https://ubuntu.mirror.intermax.nl/
http://ftp.caliu.cat/pub/distribucions/ubuntu/archive/
http://repos.del.extreme-ix.org/ubuntu/
https://mirrors-ubuntu.behostings.com/ubuntu/
http://ftp.usf.edu/pub/ubuntu/
https://mirror.team-host.ru/ubuntu/
https://mirror1.sox.rs/ubuntu/ubuntu/
https://mirror.lyrahosting.com/ubuntuarchive/
https://ubuntu.hi.no/archive/
https://mirror.nishi.network/ubuntu/
http://ubuntu.securedservers.com/
http://ftp.fau.de/ubuntu/
https://mirror.ixirhost.com/ubuntu/
http://mirror.uchile.cl/ubuntu/
https://mirrors.bloomu.edu/ubuntu/
https://mirror.ekiphost.com/ubuntu/
https://repo.usk.ac.id/ubuntu/
https://nl.mirrors.clouvider.net/ubuntu/
http://www.mirrorservice.org/sites/archive.ubuntu.com/ubuntu/
http://dafi.inf.um.es/ubuntu/
https://mirrors.atlas.net.co/ubuntu/
https://mirrors.tuna.tsinghua.edu.cn/ubuntu/
http://ftp.tsukuba.wide.ad.jp/Linux/ubuntu/
http://distrib-coffee.ipsl.jussieu.fr/pub/linux/ubuntu/
https://mirror.clarkson.edu/ubuntu/
https://ftp.tc.edu.tw/Linux/ubuntu/
https://mirror.informatik.tu-freiberg.de/ubuntu/
https://ubuntu.parsvds.com/ubuntu/
https://ubuntu.mirror.wearetriple.com/archive/
https://mirror.united-gameserver.de/ubuntu/
http://mirror.transip.net/ubuntu/ubuntu/
https://mirror.nitc.ac.in/ubuntu/
https://ubuntu.mirror.digitalpacific.com.au/archive/
http://no.mirrors.blix.com/ubuntu/
http://ftp.tudelft.nl/archive.ubuntu.com/
http://ubuntu.man.lodz.pl/ubuntu/
https://mirror.ihost.md/ubuntu/
https://mirror.zzunipark.com/ubuntu-ports/
http://ftp.byfly.by/ubuntu/
http://mirrors.mit.edu/ubuntu/
http://ftp.tku.edu.tw/ubuntu/
https://mirror.kakao.com/ubuntu/
http://mirror-mk.interspace.com/ubuntu/
https://ubuntu.mirror.thegigabit.com/
https://mirror.marwan.ma/ubuntu/
http://mirror.library.ucy.ac.cy/linux/ubuntu/archive/
https://edgeuno-bog2.mm.fcix.net/ubuntu/
http://mirror.us-ny2.kamatera.com/ubuntu/
https://mirrors.cloudforest.co.th/ubuntu/
http://mirrors.asnet.am/ubuntu/
http://mirror.serverloft.eu/ubuntu/ubuntu/
http://mirrors.melbourne.co.uk/ubuntu/
https://mirror.esecuredata.com/ubuntu-archive/
http://ubuntu.grn.cat/ubuntu/
https://vn-mirrors.vhost.vn/ubuntu/
http://mirrors.pidginhost.com/ubuntu/
https://mirrors.mediascope.group/ubuntu/
https://ubuntu.zero.com.ar/ubuntu/
http://ubuntu.org.ua/ubuntu/
https://mirror.mia.velocihost.net/ubuntu/
http://ftp.tu-chemnitz.de/pub/linux/ubuntu-ports/
http://mirror.il-rh.kamatera.com/ubuntu/
https://in.mirror.coganng.com/ubuntu/
https://mirror.coganng.com/ubuntu/
https://mirror.gofoss.xyz/ubuntu/
http://ftp.uni-bayreuth.de/linux/ubuntu/ubuntu/
http://mirror.chmuri.net/ubuntu/
http://kebo.vlsm.org/ubuntu/
http://archive.ubuntu.moon127.net/
https://mirrors.ipserverone.com/ubuntu/
http://mirrors.xmission.com/ubuntu/
http://ubuntu.linux.n0c.ca/ubuntuarchive/
https://la.mirrors.clouvider.net/ubuntu/
https://ubuntu.ip-connect.vn.ua/
https://ubuntu-mirror.cloud.mu/ubuntu/
http://mirror.us-sc.kamatera.com/ubuntu/
http://mirror.cloudhosting.lv/ubuntu/
http://mirror.sg.gs/ubuntu/
https://mirror.vnet.sk/ubuntu/
http://mirrors.coreix.net/ubuntu/
http://ftp.iinet.net.au/pub/ubuntu/
http://mirror.poliwangi.ac.id/ubuntu/
https://mirrors.gethosted.online/ubuntu/
http://ubuntu.volia.net/ubuntu-archive/
https://mirrors.nxtgen.com/ubuntu-mirror/ubuntu/
http://mirror.zetup.net/ubuntu/
http://ubuntu.mirror.root.lu/ubuntu/
https://mirror.vinehost.net/ubuntu/
https://mirrors.nivacloud.net/ubuntu/
https://ubuntu.bardia.tech/
http://glua.ua.pt/pub/ubuntu/
https://mirror.unix-solutions.be/ubuntu/
http://mirror.funkfreundelandshut.de/ubuntu/
https://mirror.efect.ro/ubuntu/archive/
http://cesium.di.uminho.pt/pub/ubuntu-archive/
https://mirror.init7.net/ubuntu/
https://repo.jing.rocks/ubuntu-ports/
http://ftp.agh.edu.pl/ubuntu/
http://www.club.cc.cmu.edu/pub/ubuntu/
https://mirror.truenetwork.ru/ubuntu/
http://mirrors.cn99.com/ubuntu/
https://mirror.servaxnet.com/ubuntu/
https://mirror.kumi.systems/ubuntu/
http://ftp.mirror.tw/pub/ubuntu/ubuntu/
https://mirror.eliv.kr/ubuntu/
http://mirrors.ocf.berkeley.edu/ubuntu/
http://ubuntu.mirrors.linux.ro/archive/
http://mirror.ufam.edu.br/ubuntu/
http://mirror.hoster.kz/ubuntu/
http://ftp.arnes.si/pub/mirrors/ubuntu/
https://mirror.alwyzon.net/ubuntu/
http://kambing.uu.sg/ubuntu/
http://mirror.cogentco.com/pub/linux/ubuntu/
https://mirror.server.net/ubuntu/
http://ubuntu.mirror.tudos.de/ubuntu/
http://aze.archive.ubuntu.com/ubuntu/
https://mirror.netcologne.de/ubuntu/
https://ubuntu.hysing.is/ubuntu/
http://archive.linux.duke.edu/ubuntu/
https://mirror.repository.id/ubuntu/
https://ftp.sh.cvut.cz/ubuntu/
http://mirror.datacenter.by/ubuntu/
https://mirror.hnd.cl/ubuntu/
http://ftp.belnet.be/ubuntu/
https://mirrors.sdu.edu.cn/ubuntu/
https://mirrors.bkns.vn/ubuntu/
https://mirror.amscloud.co.id/ubuntu/
http://ubuntu-archive.mirror.serveriai.lt/
https://mirror.gi.co.id/ubuntu/
https://mirror.dkm.cz/ubuntu/
https://mirror.team-cymru.org/ubuntu/
https://mirror.elice.io/ubuntu/
https://mirror.ams.macarne.com/ubuntu/
https://drmirror.physi.uni-heidelberg.de/ubuntu/
http://mirror.nodesdirect.com/ubuntu/
http://mirror.vorboss.net/ubuntu-archive/
https://mirror.scaleuptech.com/ubuntu/
http://ubuntu.mirror.true.nl/ubuntu/
https://mirrors.gigenet.com/ubuntu/
https://ubuntu.grena.ge/ubuntu/
https://mirrors.netix.net/ubuntu/archive/
http://archive.ubuntu.nautile.nc/ubuntu/
http://mirrors.sohu.com/ubuntu/
http://mirrors.namecheap.com/ubuntu/
https://lug.mines.edu/mirrors/ubuntu/
https://mirrors.hosterion.ro/ubuntu/
https://ubuntu-archive.interhost.co.il/ubuntu/
http://mirror.cc.vt.edu/pub2/ubuntu/
https://mirrors.zju.edu.cn/ubuntu/
http://mirror.eu-lo.kamatera.com/ubuntu/
http://mirror.as43289.net/ubuntu/
http://mirror.netspace.net.au/pub/ubuntu/
https://quantum-mirror.hu/mirrors/pub/ubuntu/
ftp://ftp.fu-berlin.de/linux/ubuntu/
http://ports.ubuntu.moon127.net/
https://mirror.mrjester.net/ubuntu/archive/
http://no.archive.ubuntu.com/ubuntu/
http://mirror.ox.ac.uk/sites/archive.ubuntu.com/ubuntu/
http://mirror.brightridge.com/ubuntuarchive/
http://mirror.bizflycloud.vn/ubuntu/
https://mirrors.iu13.net/ubuntu/
http://ubuntu.task.gda.pl/ubuntu/
http://mirror.daniel-jost.net/ubuntu/
https://mirror.domainhizmetleri.com/ubuntu/
http://ubuntu.c3sl.ufpr.br/ubuntu/
https://mirror.vpsnet.com/ubuntu/
http://mirror.aptus.co.tz/pub/ubuntuarchive/
http://mirror.veesp.com/ubuntu/
http://ossmirror.mycloud.services/os/linux/ubuntu/
https://mirror.nyist.edu.cn/ubuntu-ports/
http://mirror.rise.ph/ubuntu/
http://ftp.hosteurope.de/mirror/archive.ubuntu.com/
https://mirrors.neterra.net/ubuntu/archive/
http://mirror2.tuxinator.org/ubuntu/
http://mirror.il.kamatera.com/ubuntu/
http://mirror.internode.on.net/pub/ubuntu/ubuntu/
http://mirror.math.princeton.edu/pub/ubuntu/
http://ubuntu.mirror.rafal.ca/ubuntu/
https://mirror.tngnet.com/ubuntu/
http://mirror.hostnet.nl/ubuntu/archive/
http://ftp.tu-chemnitz.de/pub/linux/ubuntu/
https://mirror.us.leaseweb.net/ubuntu/
http://mirrors.nhanhoa.com/ubuntu/
https://dal.mirrors.serverside.com/ubuntu/
http://mirrors.ircam.fr/pub/ubuntu/archive/
https://ftp.csuc.cat/ubuntu/archive/
http://mirror.easyname.at/ubuntu-archive/
http://mirror.mythic-beasts.com/ubuntu/
https://mirror.its-tps.fr/ubuntu/
http://pkg.adfinis.com/ubuntu/
https://mirror.gofoss.xyz/ubuntu-ports/
http://mirror.i3d.net/pub/ubuntu/
https://mirror.yuki.net.uk/ubuntu/
http://ubuntutym.u-toyama.ac.jp/ubuntu/
https://mirror.realcompute.io/ubuntu/
http://mirror.vpgrp.io/ubuntu/
https://mirror.kumi.systems/ubuntu-ports/
http://mirror.deace.id/ubuntu/
https://jp.mirror.coganng.com/ubuntu-ports/
https://pkg.adfinis-on-exoscale.ch/ubuntu/
https://kozyatagi.mirror.guzel.net.tr/ubuntu/
https://mirrors.as215248.net/ubuntu/
https://mirrors.tino.org/ubuntu/
http://ftp.ussg.iu.edu/linux/ubuntu/
https://mirror.limda.net/ubuntu-archive/
https://mirror.uepg.br/ubuntu/
http://ubuntu.mirrors.uk2.net/ubuntu/
http://ubuntu.osuosl.org/ubuntu/
https://ubuntu.netforce.hosting/ubuntu/
https://mirrors.jlu.edu.cn/ubuntu/
https://mirror.timkevin.us/ubuntu/
https://mirror.sabay.com.kh/ubuntu/
https://mirrors.c0urier.net/linux/ubuntu/
http://repos.interior.edu.uy/ubuntu/
https://mirrors.ygn.mmix.net.mm/ubuntu/
https://uk.mirrors.clouvider.net/ubuntu/
http://mirror.us-tx.kamatera.com/ubuntu/
https://ubuntu.mirror.shastacoe.net/ubuntu/
http://mirror.biznetgio.com/ubuntu/
http://ftp.riken.jp/Linux/ubuntu/
http://ftp.acc.umu.se/ubuntu/
http://mirror.math.ucdavis.edu/ubuntu/
http://mirrors.liquidweb.com/ubuntu/
http://mirror.docker.ru/ubuntu/
https://mirrors.pardisco.co/ubuntu/
http://miroir.univ-lorraine.fr/ubuntu/
http://nl3.archive.ubuntu.com/ubuntu/
https://ubuntu.koyanet.lv/ubuntu/
https://mirrors.united.cd/ubuntu/
http://repo.jztkft.hu/ubuntu/
http://ubuntu.mirror.frontiernet.net/ubuntu/
https://muug.ca/mirror/ubuntu/
http://mirror.ca-tr.kamatera.com/ubuntu/
https://mirror.digitaloceans.dev/ubuntu/
https://mirror.it.ubc.ca/ubuntu/
https://cz.archive.ubuntu.com/ubuntu/
http://ftp.iitm.ac.in/ubuntu/
https://mirror.sh.com.tr/ubuntu/
https://mirror.nju.edu.cn/ubuntu/
http://ftp.cvut.cz/ubuntu/
http://mirrors.us.kernel.org/ubuntu/
https://mirror.hostiko.network/ubuntu/
http://mirror.soonkeat.sg/ubuntu/
http://ubuntu.mirrors.pair.com/archive/
https://ubuntu.lafibre.info/ubuntu/
http://mirrors.cmich.edu/ubuntu/
http://mirrors.powernet.com.ru/ubuntu/
https://in.mirror.coganng.com/ubuntu-ports/
http://mirrors.njupt.edu.cn/ubuntu/
https://mirror.xeonbd.com/ubuntu-archive/
https://mirrors.ptisp.pt/ubuntu/
https://mirror.dogado.de/ubuntu/
https://ubuntu.mirror.letscloud.io/
https://labs.eif.urjc.es/mirror/ubuntu/
http://mirror.ipb.de/ubuntu/
https://mirror.citrahost.com/ubuntu/
https://ftp.ubuntu-tw.net/ubuntu/
https://ubuntu.mirror.serversaustralia.com.au/ubuntu/
https://mirrors.xtom.com/ubuntu/
http://mirror.as29550.net/archive.ubuntu.com/
http://ubuntu.mirror.ac.za/ubuntu/
http://mirror.nforce.com/pub/linux/ubuntu/
https://mirrors.gbnetwork.com/ubuntu/
http://mirror1.totbb.net/ubuntu/
https://mirrors.dc.clear.net.ar/ubuntu/
https://mirrors.hostico.ro/ubuntu/archive/
https://mirror.gsl.icu/ubuntu/
http://ubuntu.unc.edu.ar/ubuntu/
https://mirror.papua.go.id/ubuntu/
https://mirrors.cloud.tencent.com/ubuntu/
https://repo.jing.rocks/ubuntu/
http://mirror1.sox.rs/ubuntu/ubuntu/
http://ftp.rz.tu-bs.de/pub/mirror/ubuntu-packages/
https://mirror.d.umn.edu/ubuntu/
http://suro.ubaya.ac.id/ubuntu/
https://mirror.leitecastro.com/ubuntu/
http://ubuntu-arch.linux.edu.lv/ubuntu/
https://mirror.arvancloud.ir/ubuntu/
https://mirror.jeonnam.school/ubuntu/
ftp://ftpserv.tudelft.nl/pub/Linux/archive.ubuntu.com/
http://opensource.xtdv.net/ubuntu/
http://mirror.rcg.sfu.ca/mirror/ubuntu/
http://mirror.metrocast.net/ubuntu/
http://mirror.0x.sg/ubuntu/
http://mirror.nl.datapacket.com/ubuntu/
http://ubuntu.phoenixnap.com/ubuntu/
http://sft.if.usp.br/ubuntu/
https://mirror.nl.leaseweb.net/ubuntu/
https://mirror.flo.c-f.ro/ubuntu/
https://deb.campolargo.pr.gov.br/ubuntu/archive/
https://mirror.virtarix.com/ubuntu/
https://mirror.ourhost.az/ubuntu/
https://ubuntu.btit.nz/ubuntu/
https://mirror.reenigne.net/ubuntu/
https://ubuntu-mirror.cloud.mu/ubuntu-ports/
http://ftp.stw-bonn.de/ubuntu/
https://ubuntu.anexia.at/ubuntu/
http://mirror.aminidc.com/ubuntu/
http://mirror.as24220.net/pub/ubuntu-archive/
http://mirror.cs.jmu.edu/pub/ubuntu/
http://ubuntu.mirrors.omnilance.com/ubuntu/
http://ubuntu.lagis.at/ubuntu/
http://mirrors.vcea.wsu.edu/ubuntu/
http://mirrors.accretive-networks.net/ubuntu/
http://archive.ubuntu.mirror.ba/ubuntu/
https://mirrors.fibianet.dk/ubuntu/
https://mirror.hep.gg/ubuntu/
http://mir.linux.kg/ubuntu/
https://mirror1.grupocg.cl/ubuntu/
https://ftp.udx.icscoe.jp/Linux/ubuntu/
https://mirrors.chroot.ro/ubuntu/
https://elmirror.cl/ubuntu/
http://mirror.rustytel.net/ubuntu/
https://mirrors.ocf.berkeley.edu/ubuntu-ports/
https://mirrors.nav.ro/ubuntu/
http://mirror.corbina.net/ubuntu/
http://mirror.raiolanetworks.com/ubuntu/
http://ftp.udc.es/ubuntu/
https://mirror.kkg.berlin/ubuntu/
http://ubuntu.cs.nctu.edu.tw/ubuntu/
https://mirror.twds.com.tw/ubuntu-ports/
https://mirror.previder.nl/ubuntu/
https://cdn.repo.cloudeka.id/ubuntu/
https://mirror.ubuntu.ikoula.com/
http://ubuntu.grad.hr/ubuntu/
https://mirror.niif.hu/ubuntu/
http://mirror.eu-fr.kamatera.com/ubuntu/
http://mirror.as24220.net/pub/ubuntu/
http://ftp.linux.cz/pub/linux/ubuntu/
https://mirrors.evoluso.com/ubuntu/
https://ftpmirror1.infania.net/ubuntu/
http://ubuntu.univ-nantes.fr/ubuntu/
http://mirror.plusserver.com/ubuntu/ubuntu/
http://suse.uni-leipzig.de/pub/releases.ubuntu.com/ubuntu/
http://mirror.mirohost.net/ubuntu/
https://mirrors.neusoft.edu.cn/ubuntu/
https://ftp.psnc.pl/linux/ubuntu/
http://ftp.litnet.lt/ubuntu/
http://tux.rainside.sk/ubuntu/
https://www-ftp.lip6.fr/pub/linux/distributions/Ubuntu/archive/
https://linux.domainesia.com/ubuntu/ubuntu-archive/
https://ubuntu.mirror.garr.it/ubuntu/
https://mirror.fcix.net/ubuntu/
https://mirrors.xtom.nl/ubuntu/
http://mirror.faraso.org/ubuntu/
http://giano.com.dist.unige.it/ubuntu/
https://mirror.gotmyhost.com/ubuntu-archive/
https://mirror.creoline.net/ubuntu/
https://mirror.lstn.net/ubuntu/
http://mirror1.ku.ac.th/ubuntu/
https://ftp.lanet.kr/ubuntu/
https://is.mirror.flokinet.net/ubuntu/
https://mirror.clearsky.vn/ubuntu/
https://mirrors.hostiserver.com/ubuntu/
https://ubuntu.pishgaman.net/ubuntu/
http://mirror.logol.ru/ubuntu/
http://hk.mirrors.thegigabit.com/ubuntu/
https://mirrors.wikimedia.org/ubuntu/
https://ubuntu.mirrors.ovh.net/ubuntu/
http://mirrors.sonic.net/ubuntu/
http://mirrors.layeronline.com/ubuntu/
https://mirror.csclub.uwaterloo.ca/ubuntu/
http://ftp.ntua.gr/ubuntu/
http://mirror.isoc.org.il/pub/ubuntu/
http://mirror.siena.edu/ubuntu/
http://mirror.viettelcloud.vn/ubuntu/
https://mirror.amuksa.com/ubuntu/
http://mirror.datacenter.az/ubuntu/
http://mirror.as.kamatera.com/ubuntu/
https://mirror.verinomi.com/ubuntu/ubuntu-archive/
http://ftp.klid.dk/ftp/ubuntu/
https://mirror.nl.mirhosting.net/ubuntu/
http://mirrors.jcut.edu.cn/ubuntu/
https://mirror.ubuntu.serverforge.org/
http://ftp.daum.net/ubuntu/
https://mirror.dal.nexril.net/ubuntu/
https://mirror.hyperdedic.ru/ubuntu/
http://ftp.lysator.liu.se/ubuntu/
https://mirrors.ustc.edu.cn/ubuntu/
http://mirror.t-home.mk/ubuntu/
https://sg-mirrors.vhost.vn/ubuntu/
http://mirror.il-pt.kamatera.com/ubuntu/
http://ubuntu.mirror.constant.com/
http://mirror.zzunipark.com/ubuntu/
https://repo.extreme-ix.org/ubuntu/
http://mirror.arizona.edu/ubuntu/
http://plug-mirror.rcac.purdue.edu/ubuntu/
https://mirror.ietlucknow.ac.in/ubuntu/
https://mirror.hashy0917.net/ubuntu/
http://mirror.unesp.br/ubuntu/
http://mirrors.ukfast.co.uk/sites/archive.ubuntu.com/
https://mirror.netzwerge.de/ubuntu/
https://ucmirror.canterbury.ac.nz/ubuntu/
https://mirrors.xtom.de/ubuntu/
https://mirror.bahnhof.net/ubuntu/
https://mirror.0xem.ma/ubuntu/
https://mirror.sitsa.com.ar/ubuntu/
https://mirror.datamossa.io/ubuntu/archive/
https://ubuntu.mobinhost.com/ubuntu/
http://kebo.pens.ac.id/ubuntu/
http://ubuntu.otenet.gr/
https://mirror.nyist.edu.cn/ubuntu/
http://ubuntu.ethz.ch/ubuntu/
http://ftp-stud.hs-esslingen.de/ubuntu/
http://ubuntu.mirror.lrz.de/ubuntu/
http://ubuntu.cs.utah.edu/ubuntu/
http://mirror.vcu.edu/pub/gnu+linux/ubuntu/
http://ubuntu.uni-klu.ac.at/ubuntu/
https://mirror.netsite.dk/ubuntu/archive/
http://www.gtlib.gatech.edu/pub/ubuntu/
https://mirrors.xtom.ee/ubuntu/
https://mirror.iranserver.com/ubuntu/
https://ubuntu.pars.host/
https://mirror.ossplanet.net/ubuntu/
https://mirrors.hostida.com/ubuntu/
http://ftp.uninett.no/ubuntu/
https://mirror.hashy0917.net/ubuntu-ports/
https://mirror.katapult.io/ubuntu/
https://mirrors.bmcc.edu/ubuntu/
https://mirror.solnet.ch/ubuntu/
http://mirrors.rit.edu/ubuntu/
http://repo.miserver.it.umich.edu/ubuntu/
https://mr.heru.id/ubuntu/
https://ubuntu.letscloud.io/ubuntu/
http://mirrors.cqu.edu.cn/ubuntu/
http://mirrors.cat.pdx.edu/ubuntu/
http://mirror.aarnet.edu.au/pub/ubuntu/archive/
http://ftp.tu-ilmenau.de/mirror/ubuntu/
http://ubuntu.mirror.globo.tech/
http://packages.oth-regensburg.de/ubuntu/
https://mirror.it4i.cz/ubuntu/
http://mirrors.usinternet.com/ubuntu/archive/
http://mirrors.bangmod.cloud/ubuntu/
http://archive.g4t1.pro/ubuntu/
http://ubuntu.cica.es/ubuntu/
http://mirror.bytemark.co.uk/ubuntu/
http://ubuntu.tuxuri.com/ubuntu/
https://mirror.unair.ac.id/ubuntu/
http://ftp5.gwdg.de/pub/linux/debian/ubuntu/
http://mirror.serverion.com/ubuntu/
https://buaya.klas.or.id/ubuntu/
http://mirror.ps.kz/ubuntu/
http://softlibre.unizar.es/ubuntu/archive/
http://ftp.uni-mainz.de/ubuntu/
https://mirror.telepoint.bg/ubuntu/
https://it1.mirror.vhosting-it.com/ubuntu/
https://mirror.linux-ia64.org/ubuntu/
http://ftp.halifax.rwth-aachen.de/ubuntu/
http://ftp.icm.edu.pl/pub/Linux/ubuntu/
https://mirror.bacloud.com/ubuntu-mirror/archive/
https://mirror.yer.az/ubuntu/archive/
https://atl.mirrors.clouvider.net/ubuntu/
http://ubuntu.mirror.rain.co.za/ubuntu/
https://mirror.nishi.network/ubuntu-ports/
http://mirrors.mivocloud.com/ubuntu/
http://mirror.liquidrp.de/ubuntu/
http://ftp.energotel.sk/pub/linux/ubuntu/
https://mirror.2degrees.nz/ubuntu/
https://mirrors.upr.edu/ubuntu/
http://ftp.uni-kl.de/pub/linux/ubuntu/
https://mirror.bharatdatacenter.com/ubuntu/
https://mirror.thunderhosting.cloud/ubuntu/
http://mirrors.iitd.ac.in/ubuntu/
https://mirror.timeweb.ru/ubuntu/
https://ftp.lanet.kr/ubuntu-ports/
https://mirror.alastyr.com/ubuntu/ubuntu-archive/
http://mirror.cov.ukservers.com/ubuntu/
https://mirror.coganng.com/ubuntu-ports/
https://mirrors.egr.msu.edu/ubuntu/
http://mirrors.up.pt/ubuntu/
http://mirror.eu.kamatera.com/ubuntu/
http://ubuntu.mirror.vu.lt/ubuntu/
https://mirror.faizuladib.com/ubuntu/
https://nyc.mirrors.clouvider.net/ubuntu/
https://repo.linuxmirrors.ir/ubuntu/
https://it2.mirror.vhosting-it.com/ubuntu/
https://mirror.team-cymru.com/ubuntu/
http://ftp.rnl.tecnico.ulisboa.pt/pub/ubuntu/archive/
http://ubuntu.ntc.net.np/ubuntu/
https://ubuntu.web.trex.fi/ubuntu/
https://ubuntu.vpsttt.com/ubuntu/
http://mirror.a1.mk/ubuntu/
http://mirror.dc.uz/ubuntu/
https://mirrors.sjtug.sjtu.edu.cn/ubuntu/
https://mirror.techlabs.co.kr/ubuntu/
http://repo.iut.ac.ir/repo/Ubuntu/
http://mirror.kapteyan.com.tr/ubuntu/
https://mirror.clientvps.com/ubuntu/
https://mirrors.hust.edu.cn/ubuntu/
http://mirror.bg.host.ag/ubuntu/
http://mirrors.arpnetworks.com/Ubuntu/
http://ftp.cc.uoc.gr/mirrors/linux/ubuntu/packages/
http://rep-ubuntu-il.upress.io/ubuntu/
http://archive.todayvisionbd.com/ubuntu/
http://ubuntu.mirror.cywg.as400442.net/ubuntu/
https://ubuntu-mirror.puq.apoapsis.cl/ubuntu/
http://ubuntu-mirror.bhtelecom.ba/ubuntu/
http://ftp.sjtu.edu.cn/ubuntu/
http://mirror.cse.iitk.ac.in/ubuntu/
http://mirror.aktkn.sg/ubuntu/
https://mirror.thaidns.co.th/ubuntu/
https://mirror.geekonweb.fr/ubuntu/
https://ir.ubuntu.sindad.cloud/ubuntu/
http://www.ftp.ne.jp/Linux/packages/ubuntu/archive/
http://mirror.hostafrica.co.za/ubuntu/
http://mirror.ufscar.br/ubuntu/
http://mirror.unimagdalena.edu.co/ubuntu/
https://ftp.ludd.ltu.se/mirrors/ubuntu/
http://mirror.datacenter.mn/ubuntu/
http://download.nus.edu.sg/mirror/ubuntu/
https://ubuntu.syxpi.fr/ubuntu/
https://ir.archive.ubuntu.com/ubuntu/
http://ubuntu.dts.mg/ubuntu/
http://pubmirrors.dal.corespace.com/ubuntu/
http://download.nust.na/pub/ubuntu/ubuntu/
http://mirror.vietnix.vn/ubuntu/
http://mirror.retentionrange.co.bw/ubuntu/
